{
  "schema_version": "1.4.0",
  "id": "GHSA-qg6p-6xqq-gh7c",
  "modified": "2022-05-01T23:29:48Z",
  "published": "2022-05-01T23:29:48Z",
  "aliases": [
    "CVE-2008-0387"
  ],
  "details": "Integer overflow in Firebird SQL 1.0.3 and earlier, 1.5.x before 1.5.6, 2.0.x before 2.0.4, and 2.1.x before 2.1.0 RC1 might allow remote attackers to execute arbitrary code via crafted (1) op_receive, (2) op_start, (3) op_start_and_receive, (4) op_send, (5) op_start_and_send, and (6) op_start_send_and_receive XDR requests, which triggers memory corruption.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2008-0387"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/39996"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/29203"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/29501"
    },
    {
      "type": "WEB",
      "url": "http://security.gentoo.org/glsa/glsa-200803-02.xml"
    },
    {
      "type": "WEB",
      "url": "http://securityreason.com/securityalert/3580"
    },
    {
      "type": "WEB",
      "url": "http://sourceforge.net/project/shownotes.php?group_id=9028&release_id=570800"
    },
    {
      "type": "WEB",
      "url": "http://tracker.firebirdsql.org/browse/CORE-1681"
    },
    {
      "type": "WEB",
      "url": "http://www.coresecurity.com/?action=item&id=2095"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2008/dsa-1529"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/487173/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/27403"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2008-01-29T02:00:00Z"
  }
}